gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Enum GLib.GType(typeof(Gtk.DeleteTypeGType)) An enumeration used by TextView

This enumeration is used by to see decide how delete behaves.

- Field
  2.12.0.0
  Gtk.DeleteType Delete the character that is highlighted by the cursor.

  Delete the character that is highlighted by the cursor.

- Field
  2.12.0.0
  Gtk.DeleteType Delete from the cursor to the end of the line.
- Field
  2.12.0.0
  Gtk.DeleteType Delete lines from the display (i.e., not lines as measured by carriage returns.)
- Field
  2.12.0.0
  Gtk.DeleteType Delete to the end of the paragraph.
- Field
  2.12.0.0
  Gtk.DeleteType Delete the whole line.
- Field
  2.12.0.0
  Gtk.DeleteType Delete all the whitespace before the cursor.

  Delete all the whitespace before the cursor.

- Field
  2.12.0.0
  Gtk.DeleteType Delete until the end of a word

  Delete only the portion of the word to the left/right of cursor if we're in the middle of a word.

- Field
  2.12.0.0
  Gtk.DeleteType Delete words.